Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2451 closed enhancement (fixed)

Remove arm/gp32 BSP

Reported by: Joel Sherrill Owned by: Aun-Ali Zaidi <admin@…>
Priority: normal Milestone: 5.1
Component: arch/arm Version: 4.11
Severity: normal Keywords: obsolete, BSP
Cc: Blocked By:
Blocking:

Description

Remove the arm/gp32 BSP per the instructions at ​​​​https://devel.rtems.org/wiki/Developer/Removing_a_BSP

Rationale: This BSP is for an open source alternative to the Gameboy Advance introduced in 2001. Wikipedia notes that 30K units were sold but it has been unavailable since 2007. This was a useful BSP when there were few ARM BSPs and the openness was interesting but with the Pi, Beagle, etc. these days are long past.

Change History (6)

comment:1 Changed on 11/03/15 at 19:28:21 by Joel Sherrill

Keywords: obsolete BSP added

comment:2 Changed on 12/13/15 at 13:39:53 by Aun-Ali Zaidi <admin@…>

Owner: set to Aun-Ali Zaidi <admin@…>
Resolution: fixed
Status: newclosed

In [changeset:"22e1982b7fbe57fdcb0c3b1a3cbf13d5f8d2d8e5/rtems-testing"]:

rtems/bit_all_bsps: Remove gp32 reference

closes #2451.

comment:3 Changed on 12/13/15 at 13:40:07 by Aun-Ali Zaidi <admin@…>

In [changeset:"f2a228b2cb5ce376c56ae8d767084b92f2822af0/rtems"]:

arm/gp32: Remove

updates #2451.

comment:4 Changed on 05/11/17 at 07:31:02 by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on 10/10/17 at 06:55:49 by Sebastian Huber

Component: bspsarch/arm

comment:6 Changed on 11/09/17 at 06:27:14 by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.